---
title: "Remove User from Group"
slug: "remove-user-from-group"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove User from Group

Post/api/v1/groups.kick

Remove a user from the private group/channel. Permission required: `kick-user-from-any-p-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='5788849e-56f5-47a9-a304-b5c8352bdedb'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='539db408-1d8a-4ccb-9a54-e4fff734ab05'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "userId": "nSYqWzZ4GsKTX4dyK"
}
```

object  roomIdstring    Required

Enter the private room ID from which you want to remove the user.

ExampleByehQjC44FwMeiLbX
userIdstring    Required

Enter the user ID that you want to remove.

ExamplenSYqWzZ4GsKTX4dyK

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='4afbb76b-b665-4f8d-82ad-94d491538525'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='3465c5ca-be3f-4623-9400-36bf48ff6129'>Success</option>
</select>Success

```json
{
  "group": {
    "_id": "ByehQjC44FwMeiLbX",
    "name": "invite-me",
    "t": "p",
    "usernames": [
      "testing1"
    ],
    "msgs": 0,
    "u": {
      "_id": "aobEdbYhXfu5hkeqG",
      "username": "testing1"
    },
    "ts": "2016-12-09T15:08:58.042Z",
    "ro": false,
    "sysMes": true,
    "_updatedAt": "2016-12-09T15:22:40.656Z"
  },
  "success": true
}
```

Expand Allobject  groupobject  _idstring    
namestring    
tstring    
usernames Array of string   string    
msgsinteger    
uobject  _idstring    
usernamestring    

tsstring    
roboolean    
sysMesboolean    
_updatedAtstring    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='10635510-e762-4d61-8817-e5bdaf9b4673'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='6f1c710d-218c-413d-8f4f-b05d7995d64e'>No permission</option>
</select>No permission

```json
{
  "success": false,
  "error": "Not allowed [error-not-allowed]",
  "errorType": "error-not-allowed",
  "details": {
    "method": "removeUserFromRoom"
  }
}
```

Expand Allobject  successboolean    
errorstring    
errorTypestring    
detailsobject  methodstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='bf62587f-3fd1-42c5-a2aa-15b0da1631c6'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e7c3340c-ce2d-4ed8-8744-4d90ebc51126'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
